Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngerror.c File Reference

`#include "png.h"`

Include dependency graph for pngerror.c:

## Defines
#define | PNG_INTERNAL
#define | isnonalpha(c) ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))
## Functions
void | png_default_error (png_structp png_ptr, png_const_charp error_message)
void | png_default_warning (png_structp png_ptr, png_const_charp warning_message)
void | png_error (png_structp png_ptr, png_const_charp error_message)
void | png_warning (png_structp png_ptr, png_const_charp warning_message)
void | png_format_buffer (png_structp png_ptr, png_charp buffer, png_const_charp error_message)
void | png_chunk_error (png_structp png_ptr, png_const_charp error_message)
void | png_chunk_warning (png_structp png_ptr, png_const_charp warning_message)
void | png_set_error_fn (png_structp png_ptr, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warning_fn)
png_voidp | png_get_error_ptr (png_structp png_ptr)
void | png_set_strip_error_numbers (png_structp png_ptr, png_uint_32 strip_mode)
## Variables
const char | png_digit [16]

## Define Documentation

#define isnonalpha | ( | c |  | ) | ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))

#define PNG_INTERNAL

## Function Documentation

void png_chunk_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) |

void png_chunk_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |

void png_default_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) | `[static]`

void png_default_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) | `[static]`

void png_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) |

void png_format_buffer | ( | png_structp | png_ptr,
|  | png_charp | buffer,
|  | png_const_charp | error_message
| ) | `[static]`

png_voidp png_get_error_ptr | ( | png_structp | png_ptr | ) |

void png_set_error_fn | ( | png_structp | png_ptr,
|  | png_voidp | error_ptr,
|  | png_error_ptr | error_fn,
|  | png_error_ptr | warning_fn
| ) |

void png_set_strip_error_numbers | ( | png_structp | png_ptr,
|  | png_uint_32 | strip_mode
| ) |

void png_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |

## Variable Documentation

const char png_digit[16]`[static]`

| Initial value:
     {
       '0', '1', '2', '3', '4', '5', '6', '7', '8', '9',
       'A', 'B', 'C', 'D', 'E', 'F'
    }